LPR(1)

NAZWA
lpr - drukowanie off line

SKŁADNIA

lpr [-A] [-b,l] [-C class] [-D debugopt] [-F filterformat]
    [-h] [-i indentcols] [-k] [-J job] [-K,# copies]
    [-m mailTo] [-P printer] [-Q] [-r] [-R remoteAccount]
    [-s] [-T title] [-U user] [-V] [-w width]
    [-Z zoptions] [-1,2,3,4 font] [filename...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Lpr wykorzystuje demona kolejki wydruku do drukowania podanych plików gdy usługi będą dostępne. Jeżeli nie podano nazw, przyjmowane jest standardowe wejście.

OPCJE

-A  Wykorzystuje usługi przesyłania uwierzytelnianego, jeśli są dostępne.

-C class
    Określa klasyfikację zadania, jaka ma być zastosowana dla strony rozdzielającej i do ustawienia priorytetu. Priorytety mają zakres od A (najniższy) do Z (najwyższy); domyślnym jest A. Na przykład,
    lpr -C B foo.c
    ustawia priorytet/klasę na B a drukowany jest plik foo.c.

-D debugoptions
    Debugowanie sterowane jest opcją -D. Opcja ta przyjmuje listę oddzielanych przecinkami ustawień. Mają one jedną z dwu postaci: urządzenie=wartość, lub wartość ustawiająca całościową wartość domyślną.

-F filterformat
    Określeniu filtru lub formatu. Domyślnie, zakłada się, że wejście jest standardowym plikiem tekstowym i używany jest format f; przyjmowane jest, że urządzeniem wyjściowym jest drukarka wierszowa. Dostępne są inne, podane poniżej, formaty. Nie wszystkie z nich są dostępne dla wszystkich drukarek; szczegóły znajdziesz w printcap(5). Formaty podawane są jako pojedyncze małe litery; poniższe z nich są poprawnymi argumentami opcji -F z zakładanym typem danych. Dla utrzymania zgodności z poprzednimi wersjami lpr typów formatu można użyć jako samodzielnych opcji (tj. pomijając F) z wyjątkiem wymienionych niżej; w takich przypadkach może się pojawić ostrzeżenie.

    -b, -l
        obie flagi te określają plik binarny ("dosłowny"), nie zostanie wykonane żadne przetwarzanie. Drukowane przy zastosowaniu filtru formatu f, z zaniechaniem przetwarzania.

    -c  dane utworzone przez cifplot(l).

    -d  wyjście z tex(l) (format DVI ze Stanford).

    -g  standardowe dane wykresowe utworzone przez programy plot(3X) (zobacz też plot(1G), gdzie znajdziesz opis filtrów wykorzystywanych przez program buforujący drukarki).

    -n  wyjście z (niezależnego od urządzenia) troff.

    -p  Najpierw wykorzystuje pr(1) do sformatowania plików, potem drukuje przy użyciu formatu f.

    -r  Przerażająca opcja USUŃ PO WYDRUKOWANIU. Uważaj, gdyż lpr usunie pliki po wysłaniu ich do kolejki drukowania. Opcja obecna na żądanie użytkowników, dla zgodności z inną implamentacją Berkeley lpr, ale faktycznie NIE powinno jej być.

    -t  wyjście z troff(1) (pierwotnie polecenia cat fotonaświetlarki, ale obecnie zakładamy, że to samo, co format n).

    -v  grafika rastrowa dla urządzeń takich jak Benson Varian.

-h  Bez strony tytułowej lub nagłówka dla tego zadania.

-i indentcols
    Wcięcie wejścia o indentcols kolumn. Zauważ, że ta opcja nie jest obsługiwana na wszystkich drukarkach.

-J jobname
    Określa nazwę zadania, jaka ma być wydrukowana na stronie rozdzielającej. Domyślnie jest to nazwa pierwszego pliku w zadaniu lub (STDIN) jeśli wejście pochodzi z potoku.

-k  Używane jako filtr, lpr normalnie dla wejścia czytanego z stdin tworzy plik tymczasowy przed wysłaniem go na zdalną drukarkę. -k powoduje, że zadanie wysyłane jest bezpośrednio do serwera. Jeżeli zadanie zostanie zabite w środku tworzenia, to wydrukowany zostanie częściowo przesłany plik. Opcja ta może nie działać z bardzo dużymi zadaniami lub programami buforującymi spoza LPRng.

-Kcopies,  -#copies
    Określa liczbę kopii każdego plików przeznaczonych do druku.

-m mailTo
    Po pomyślnym zakończeniu wysyła wiadomość pocztową do użytkownika mailTo.

-P printer
    Wyjście będzie kierowane na drukarkę printer. Jeżeli nie ustawiono drukarki przy pomocy tej opcji, to stosowana jest domyślna. Drukarkę domyślną wskazują (w kolejności priorytetu): zmienna środowiskowa PRINTER, pierwsza pozycja w bazie printcap, wpis default_printer pliku konfiguracyjnego i, na koniec, wkompilowana (zależna od hosta) wartość default_printer.

-Q  Umieszca nazwę kolejki druku w pliku zadania. Informacaja ta może być następnie wykorzystana przez oprogramowanie buforujące do sterowania formatem wyjściowym.

-R remoteAccount
    Określa informację rozliczeniową, jakiej ma użyć system zdalny drukujący.

    Parametr może służyć do określania kodu opłaty, jaka ma zostać pobrana za wydruk.

-s  Flaga zamieszczona w celu zachowania zgodności z innymi wersjami lpr. W wersjach tych tworzy ona dowiązania symboliczne do plików przeznaczonych do druku. Lpr wysyła teraz pliki wprost do serwera i flaga ta jest nieistotna.

-T  title
    Określa tytuł wykorzystywany przez pr(1). Domyślnie jest to nazwa pliku.

-U username
    Opcja -U służy do przypisania zadaniu nazwy użytkownika. Jest dostępna tylko dla ROOTa lub użytkowników wymienionych w opcji konfiguracyjnej allow_user_setting. Jest to oczywiście dziura w systemie bezpieczeństwa, lecz istnieje, by pozwolić systemom takim jak SAMBA na dostarczanie zadań w imieniu użytkowników. Zobacz Przesyłanie uwierzytelniane poniżej.

-V  Tryb gadatliwy. Dodatkowe flagi -V zwiększają gadatliwość. Maksymalną gadatliwość uzyskuje się stosując flagę debug.

-w width
    Określa szerokość strony dla drukowanego zadania.

-Z zoptions
    Opcja stosowana do przekazywania opcji programowi buforującemu druk. Używana, gdy zachodzi potrzeba przekazania dodatkowej lub specjalizowanej informacji programowi buforującemu.

-1,2,3,4fontname
    Określa nazwę fontu, jaki ma być osadzony na pozycji i przy drukowaniu TROFF (przestarzałe).

NAZWY PLIKÓW
Domyślnie, jeżeli nie podano nazw plików lpr czyta standardowe wejście i drukuje je.

PRZESYŁANIE UWIERZYTELNIANE

Pierwotny protokół sieciowy LPR zdeefiniowany w RFC1179 nie zapewniał uwierzytelniania między użytkownikiem a serwerem. Jest ono obecnie obsługiwane przez LPRng. W dokumentacji pomocniczej LPRng znajdziesz więcej szczegółów o działaniu i obsłudze uwierzytelniania.

ZGODNOŚĆ
lpr w wersji LPRng usiłuje być funkcjonalnie zgodne z typowymi implementacjami lpr. Jest jednak nieco poleceń i funkcjonalności, które there are some commands and functionality that are deliberately missing.

-s Symbolic Links
    (Berkeley LPR) Ta opcja określała, że podczas buforowania zadań powinno być użyte dowiązanie symboliczne do oryginalnego pliku danych, zamiast kopii tego pliku. Otwiera to pole dla różnorodnych problemów z bezpieczeństwem, jest też nieefektywne przy drukowaniu na zdalnym hoście.

PLIKI

Nazwy plików używane przez LPRng ustawiane są wartościami w pliku konfiguracyjnym drukarek. Poniżej podano powszechnie używany zestaw wartości domyślnych.
/etc/lpd.conf                        plik konfiguracyjny LPRng
/etc/printcap                        plik opisu drukarek
/etc/lpd.perms                       uprawnienia drukarek
/var/spool/printer*                  katalogi buforowania
/var/spool/printer*/printer          plik blokujący sterowania kolejką
/var/spool/printer*/control.printer  sterowanie kolejką
/var/spool/printer*/active.printer   aktywne zadanie
/var/spool/printer*/log.printer      plik dziennika drukarki

ZOBACZ TAKŻE
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTYKA
Większość komunikatów diagnostycznych jest oczywista. Jeśli dokładny powód niepowodzenia pozostaje niejasny, należy włączyć poziom debugowania (-D5) i uruchomić ponownie. Informacja diagnostyczna pomoże uchwycić dokładną przyczynę.

HISTORIA
LPRng jest rozszerzonym systemem buforowania wydruku o funkcjonalności podobnej do oprogramowania Berkeley LPR. Listą dyskusyjną o LPRng jest lprng@lprng.com; subskrypcja przez wysłanie listu do lprng-request@lprng.com ze słowem `subscribe` w treści. Oprogramowanie to jest dostępne z ftp://ftp.astart.com/pub/LPRng.

AUTOR
Patrick Powell <papowell@astart.com>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lpr

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.